"gksu nemo" doesn't work with new stable release

update
cinnamon

#1

Since the new update to stable release “gksu nemo” shows this error:

(nemo:6327): GLib-GIO-CRITICAL **: 09:59:40.376: g_dbus_proxy_new_sync: assertion ‘G_IS_DBUS_CONNECTION (connection)’ failed

(nemo:6327): GLib-GIO-CRITICAL **: 09:59:40.376: g_dbus_connection_get_unique_name: assertion ‘G_IS_DBUS_CONNECTION (connection)’ failed
/usr/bin/gksu: Zeile 20: 6302 Fertig echo “$PASSWD”
6303 Speicherzugriffsfehler | sudo -S “$@”

How can I fix that?

Helmut (schinfo)
https://www.schinfo.de


Nemo - root not working
Nemo, open as root does not work
#2

Maybe this helps.

In the Update thread are other posts about this topic. This might be a good summary.


#3

This is the best solution
Thanks yes installing dbus-x11 makes nemo work as root thanks again


Nemo, open as root does not work
#4

Thank you, I searched everywhere to get Open As Root, admin:// , gksu / gksudo to work for Nemo. Installing dbus-x11 solved the g_dbus_proxy_new_sync and g_dbus_connection_get_unique_name issues I was having. Much thanks.


#5

Thank you, installing dbus-x11 fixed the problem with “open as root.” I don’t wanna be that guy but I kinda feel like this is something that should be done within the updates though or am I wrong on that?